Subject: Re: Announcing 2 drafts for VIN-based IPv6 ULA prefixes and IIDs

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 28 Mar 2013 17:59:27 +0100

Le 20/02/2013 01:01, Hesham Soliman a écrit :
>>>
>>> => Someone, somewhere (perhaps the IAB) needs to write an
>>> architectural document to tell various industries to _stop_ doing
>>> that. The IID is a set of bits that have no meaning, please stop
>>> trying to create it in an industry/link layer technology-specific
>>> manner. It does do anything and it's meaningless.
>>
>> I think you're too strong with statements.  Many IPv-over-foo documents
>> exist and they do just that - create IID in a industry-specific manner.
>
> => My opinion covers those cases too. It's a broken concept. I think an
> RNG is find as a generic method. We don't need to do some magic to create
> an IID for each case.

HEsham, sorry for late reply.

So, RNG is a Random Number Generator.

You seem to oppose the generation of an IID out of a VIN.

But what would there be contradiction in generating a ULA prefix (not 
the IID) out of an RNG and maybe some VIN seeding for more uniqueness?

E.g. FD79:0D81:183C:D1A0::/59 generated out of VIN VF2R97K9XN87R9869.

>> The need comes from further, and it may look simpler: we need to form
>> IPv6 addresses within a vehicle.
>
> => Use an RNG to create the 64 bits then run DAD, it's pretty straight
> forward.

Sure, privacy extensions, I know that.

Alex

>
> Hesham
>
>
>>
>> There are a number of solutions to realize it, but each has its
>> advantages and inconvenients.  Forming it from VIN has some advantages.
>>
>> We can discuss this.
>>
>> Alex
>>
>>
>>>
>>> Hesham
>>>
>>>
>>>>
>>>>
>>>> --
>>>>
>>>> Roger Jorgensen           | ROJO9-RIPE [email-masked]          |
>>>> - IPv6 is The Key! http://www.jorgensen.no   | [email-masked]
>>>> --------------------------------------------------------------------
>>>>
>>>>
>> IETF IPv6 working group mailing list
>>>> [email-masked] Administrative Requests:
>>>> https://www.ietf.org/mailman/listinfo/ipv6
>>>> --------------------------------------------------------------------
>>>
>>>>
>>>
>>> --------------------------------------------------------------------
>>> IETF IPv6 working group mailing list [email-masked] Administrative
>>> Requests: https://www.ietf.org/mailman/listinfo/ipv6
>>> --------------------------------------------------------------------
>>>
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> [email-masked]
>> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>
>
>
>